lua-filesystem_1.6.2-3_amd64.deb


Advertisement

Description

lua-filesystem - luafilesystem library for the Lua language

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: lua-filesystem
Package version: 1.6.2
Package release: 3
Package architecture: amd64
Package type: deb
Installed size: 85 B
Download size: 9.87 KB
Official Mirror: ftp.br.debian.org
This package contains the luafilesystem library, a set of portable functions for directory creation, listing and deletion and for file locking.

Alternatives

Provides

  • liblua5.1-filesystem0
  • lua5.1-filesystem
  • lua5.2-filesystem

Replaces

  • liblua5.1-filesystem0 << 1.5.0+15+g149e0fb-1

    Download

    Source package: lua-filesystem

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install lua-filesystem deb package:
      # sudo apt-get install lua-filesystem

    Files

    • /usr/lib/x86_64-linux-gnu/liblua5.1-filesystem.so.0
    • /usr/lib/x86_64-linux-gnu/liblua5.1-filesystem.so.0.0.0
    • /usr/lib/x86_64-linux-gnu/liblua5.2-filesystem.so.0
    • /usr/lib/x86_64-linux-gnu/liblua5.2-filesystem.so.0.0.0
    • /usr/lib/x86_64-linux-gnu/lua/5.1/lfs.so
    • /usr/lib/x86_64-linux-gnu/lua/5.2/lfs.so
    • /usr/share/doc/lua-filesystem/changelog.Debian.gz
    • /usr/share/doc/lua-filesystem/copyright

    Changelog

    2014-08-30 - Enrico Tassi <gareuselesinge@debian.org> lua-filesystem (1.6.2-3) unstable; urgency=medium * Rebuild against Lua 5.1.5-7 (Closes: #723489)

    2014-08-24 - Enrico Tassi <gareuselesinge@debian.org> lua-filesystem (1.6.2-2) unstable; urgency=medium * Path to fix FTBFS on hurd (thanks Svante Signell) (Closes: #758890)

    2012-04-28 - Enrico Tassi <gareuselesinge@debian.org> lua-filesystem (1.6.2-1) unstable; urgency=low * New upstream release * Removing transitional packages * Packaging moved to git

    2012-04-28 - Enrico Tassi <gareuselesinge@debian.org> lua-filesystem (1.5.0+16+g84f1af5-1) unstable; urgency=low * New upstream snapshot including: - the lua5.2 patch, now removed from debian/patches - the "permissions" patch, now removed from debian/patches

    2012-04-08 - Enrico Tassi <gareuselesinge@debian.org> lua-filesystem (1.5.0+15+g149e0fb-1) experimental; urgency=low * Upstream snapshot supporting lua 5.2 * Moved from cdbs to dh + dh-lua * debian/compat to 8 * Bumped standards-version to 3.9.3, no changes needed * Packages renamed according to new lua policy * Removed debian/patch/umask, applied upstream * New patch debian/patch/lua5.2.patch to fix last remaining glitches for lua5.2

    2011-07-20 - Enrico Tassi <gareuselesinge@debian.org> lua-filesystem (1.5.0-2) unstable; urgency=low * Multi-Arch compliant (build-depends lua5.1-policy >= 32, dh >= 8.1.3) * Bumped standards-version to 3.9.2, no changes needed

    2011-02-17 - Enrico Tassi <gareuselesinge@debian.org> lua-filesystem (1.5.0-1) unstable; urgency=low * new upstream release (backward compatible) * fixed watch file * updated homepage URL * source format 3.0 (quilt) * standards-version 3.9.0 * added patch for luatex (Closes: #605270) * updated copyright (years)

    2010-02-01 - Enrico Tassi <gareuselesinge@debian.org> lua-filesystem (1.4.2-3) unstable; urgency=low * added umask.dpatch, taken from the upstream (Closes: #562627) * removed unused patches

    2009-07-21 - Enrico Tassi <gareuselesinge@debian.org> lua-filesystem (1.4.2-2) unstable; urgency=low * bumped standards-version to 3.8.2, no changes needed * build-depend on lua5.1-policy-dev >= 22

    2009-03-23 - Enrico Tassi <gareuselesinge@debian.org> lua-filesystem (1.4.2-1) unstable; urgency=low * new upstream bugfix release * standards-version bumped to 3.8.1 * lua -> Lua in packages description

    Advertisement
    Advertisement